<%--
 ** Component: iface
 **
 ** Description:
 **   Checks integrity of study/order
 **
 ** Parameters:
 **
 **  @param cStudy (Study Instance UID)
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
  page import="java.util.*, imagemed.imsession.*,imagemed.jsputil.*,imagemed.util.*"

%><%@
  page errorPage ="../main/exceptionHandler.jsp"

%><%-- Input Parameters --%><%IMSession is = new IMSession(request, response, out); 

  String parUser = request.getParameter("cUser");

	is.response.setHeader("pragma","no-cache");
	is.response.setHeader("Cache-Control" , "no-cache, must-revalidate");
	is.response.setHeader("Expiry-Date" , "Friday, 31-Dec-70 23:59:59 GMT");
	is.response.setContentType("text/plain");

	if (!IfaceToolbox.isRegOK(is)) {
	  is.out.println("#USERID: "+is.regID);
  	is.out.println("#RESULT: FAILED");
  	is.out.println("#ERROR: Has no registration info for this IP.");
    return;
  }%><%@
  page import="imagemed.tables.*, imagemed.imtables.*, imagemed.checkintegrity.*, java.io.*"

%>
<%
	String study = request.getParameter( "cStudy" );
	Writer debugOut = new StringWriter();

	File configFile = new File( IMEnvBase.getEnv( "CHECKINTEGRITY_VAR" ) + "/autotest.conf" );
	String fname = configFile.exists() ? configFile.getAbsolutePath() : null;
	
	ErrorList errors = new ErrorList( debugOut, fname, null, true );
	StudyIntegrity integrityChecker = new StudyIntegrity( study, errors, debugOut, null, StudyIntegrity.OWNER_STATUS_UNKNOWN, "partial" );

	try {
	    integrityChecker.check();
	}
	catch ( Exception ex ) {
	    // ERROR
	    is.out.println("#RESULT: FAIL");
	    return;
	}
	
	int numError = errors.size();
	if ( numError == 0 ) {
	    // OK
	    is.out.println("#RESULT: OK");
	    is.out.println( debugOut );
	    return;
	}
	
	// ERROR
	is.out.println("#RESULT: FAIL");
	errors.print( debugOut );
	is.out.println( debugOut );
	
	for ( Iterator<IntegrityError> i = errors.iterator(); i.hasNext(); ) {
		Helper.ERRORLOG( "checkintegrity", study + ": " +i.next().toString() );
	}
%>