<%--
 * Component: iface
 *
 * Description:
 *   Retrives a session effective timezone
 *
 * Params:
 *   sessionid	-	Session which effective time-zone will be retrieved
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@
	page import="imagemed.jsputil.*,imagemed.imsession.*,imagemed.util.Helper"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession( request, response, out );

	is.response.setHeader( "pragma", "no-cache" );
	is.response.setHeader( "Cache-Control" , "no-cache, must-revalidate" );
	is.response.setHeader( "Expiry-Date" , "Friday, 31-Dec-70 23:59:59 GMT" );
	is.response.setContentType( "text/plain" );

	if ( !IfaceToolbox.isRegOK( is ) ) {
		is.out.println("#USERID: " +is.regID);
	  	is.out.println("#RESULT: FAILED");
	  	is.out.println("#ERROR: Has no registration info for this IP.");
		return;
	}

	String sessionID = is.request.getParameter( "sessionid" );
	if ( sessionID != null){
		is.response.sendRedirect( is.httpx_host + "/iface/getTimezoneInfo.jsp?" + Helper.passParamsExcept(request, "sessionid"));
	}
	
	String oper = is.request.getParameter( "cOper");
	
	//is.sessionVariables.setProperty("httpIface", "true");
%>
<%
	if ( oper.equals("getSessionTZ") ) {
		is.out.println( is.getEffectiveTimeZone() );
		IfaceToolbox.printOK( is );
	}else{
		IfaceToolbox.printError( is, "invalid oper argument" );
	}
	
	if (true) return;
%>