<%--
 ** Component: iface
 **
 ** Description:
 **   Users page Lister
 **
 ** Parameters:
 **
 **		cLogged : "true" to list only logged-in users
 **  see:imadmin/htdocs/users.jsp
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@page import="imagemed.layout.datasource.EntryLayoutFactory"%>
<%@page import="imagemed.layout.LayoutPart"%>
<%@page import="imagemed.layout.datasource.DBLayoutDataSource"%>
<%@
  page import="imagemed.imsession.*,imagemed.jsputil.*"

%><%@
  page errorPage ="../main/exceptionHandler.jsp"

%><%-- Input Parameters --%><%
	IMSession is = new IMSession(request, response, out); 

	is.response.setHeader("pragma","no-cache");
	is.response.setHeader("Cache-Control" , "no-cache, must-revalidate");
	is.response.setHeader("Expiry-Date" , "Friday, 31-Dec-70 23:59:59 GMT");
	is.response.setContentType("text/plain");

	if (!IfaceToolbox.isRegOK(is)) {
		IfaceToolbox.printError(is, "Has no registration info for this IP.");
    return;
  }
  if (!IMAdminToolbox.bAdminRight(is)) {
   	IfaceToolbox.printError(is, "You don't have permission to this page");
    return;
  }
  
	is.sessionVariables.setProperty("httpIface", "true");

%><%@
  page import="imagemed.tables.*,imagemed.imtables.*"

%><%-- Some setup --%><%
	String parLogged   = request.getParameter("cLogged");
  boolean bLogged = "true".equals(parLogged);

  String thisPage = "/imadmin/users.jsp";

  String fields[]    = {"USID" , "UNAM", "MAIL" , "ADDR", "UPH1", "UPH2", "UGRP", "URGT"};
  String sort[]      = {"a_UNAM"};
  String extraPars[] = {"cLogged"};

  String timeOut = is.secProp.getProperty("optTimeout");
  if (timeOut == null) {
    timeOut = "60";
  }
  else {
    timeOut = timeOut.replace('\"',' ').trim();
  }
  String loginPath = IMEnvBase.getEnv("TMP") + "/login";

  TableDescriptor tdesc = new TableDescriptor(thisPage);
  TableProperties tprop = new TableProperties();

  TableParams tparams = new TableParams(is.imRequest);
  tparams.setDefaultFields(fields);
  tparams.setDefaultSort(sort);
  tparams.setDefaultPage(1);
  tparams.setDefaultPageSize(20);
  tparams.setExtraParams(extraPars);

  tdesc.setTableParams(tparams);

  tdesc.setTableProperties(tprop);
  
  FieldManager fm = EntryLayoutFactory.getDefaultFieldManager(is, LayoutPart.USERLAYOUT);

  tdesc.setFieldManager( fm );

  //Unnecessary - only workaround an exception at tableInit()
  tdesc.addExtraColumn("_FIRST", new Column( new DataHeader("USID"), new DataCell("USID"), "USID" ) );

	DBLayoutDataSource dblds = EntryLayoutFactory.getDefaultDBLDS(is, LayoutPart.USERLAYOUT);
  UsersResult result = new UsersResult(tdesc, dblds, bLogged, loginPath, timeOut);

  tdesc.setResult(result);

  Table table = new Table(tdesc);
  if( table.printTabSepTableContent(is.out) ) {
		IfaceToolbox.printOK(is);
  }
%>