<%--
 ** Component: iface
 **
 ** Description:
 **   Get device setting info interface
 **
 ** Parameters:
 **
 **  Difficult
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="java.sql.*,java.util.*,imagemed.exception.*,imagemed.imsession.*,imagemed.jsputil.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%IMSession is = new IMSession(request, response, out);

// ********** Input Parameters *********

	String parId = request.getParameter("p_id");
	String parOp = request.getParameter("p_op");
	response.setContentType("text/plain");

	try{
		if (!IfaceToolbox.isRegOK(is))
			throw new IMIfaceException(is,"Has no registration info for this IP.");
				
		if (!IMAdminToolbox.bAdminRight(is))
			throw new IMIfaceException(is,"Has no Admin right for this operation.");

		if(parOp==null){
			if (parId == null)
				throw new IMIfaceException(is, "Missing parameter: p_id");
		
	
			String trgTbl  = IMEnvBase.getEnv("TARGETTBL");
			String servTbl = IMEnvBase.getEnv("DEVSERVTBL");
			Properties serviceDict = new Properties();
			
			for ( DicomToolbox.DICOMService service : DicomToolbox.DICOMService.values() ) {
				serviceDict.setProperty( service.getServiceCode(), "false" );
			}
	
			ResultSet rs = IMEnv.getDB().prepareStatement("SELECT ID FROM " + trgTbl + " WHERE ID='" + parId + "'").executeQuery();
			if (!rs.next()) {
				rs.close();
				throw new IMIfaceException(is, "No such device: " + parId);
			}
			rs.close();
	
			
			rs = IMEnv.getDB().prepareStatement("SELECT SERVICE FROM " + servTbl + " WHERE DEVICE='" + parId + "'").executeQuery();
			while (rs.next()) {
				serviceDict.setProperty( rs.getString("SERVICE"), "true" );
			}
			rs.close();
			
			for (Enumeration<?> e = serviceDict.propertyNames(); e.hasMoreElements(); ) {
				String key = (String) e.nextElement();
				String value = serviceDict.getProperty(key);
				is.out.println("#SERVICE " + key + " " + value);
			}
			
			is.out.println("#USERID: "+is.regID);
			is.out.println("#RESULT: OK");
		}
		
		//get current value of messageFlow
		if(parOp.equals("getMessageFlow")){
			String target = request.getParameter("p_target");
			if(target==null){
				throw new IMIfaceException(is, "getMessageFlow: p_target can't be null");				
			}
			String type = request.getParameter("p_type");
			if(type==null){
				throw new IMIfaceException(is, "getMessageFlow: p_type can't be null");				
			}
			Statement sql = IMEnv.getDB().createStatement();
			ResultSet rs = sql.executeQuery("SELECT SOURCE,TARGET,OBJTYPE FROM " + IMEnvBase.getEnv("MSGFLOWTBL") + " WHERE OBJTYPE='" + type + "' AND TARGET='"+target+"' AND SOURCE='LOCAL'");			
			if(!rs.next()){
				is.out.println("MESSAGEFLOWVALUE=false");	
			}
			else{
				is.out.println("MESSAGEFLOWVALUE=true");
			}	
			rs.close();
			is.out.println("#USERID: "+is.regID);
			is.out.println("#RESULT: OK");
		}
		
		if(parOp.equals("getOrderFlow")){
			
		}
	} catch (IMIfaceException imi) {
		is.out.print( imi.getFormattedMessage() );
		return;
	} catch (Throwable t) {
		IMIfaceException imi = new IMIfaceException(is,t.getMessage());
		is.out.print( imi.getFormattedMessage() );
		return;
	}

	if (true)
		return;%>
