<%@page import="imagemed.types.flag.IMTypeur"%><%--
 ** Component: iface
 **
 ** Description:
 **   Listing locations
 **
 ** Parameters:
 **   cFields   -   Fields to be returned
 **   cSorts    -   Sort criteria
 **   qf_XXXX   -   Filters
 **
 *
 *  Last Updated     : $Author$
 *  Update Date Time : $Date$
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
--%><%@
	page import="imagemed.tables.*,imagemed.jsputil.*,imagemed.imtables.*, imagemed.imsession.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"
%><%IMSession is = new IMSession( request, response, out ); 

	is.response.setContentType( "text/plain" );

	if ( !IfaceToolbox.isRegOK( is ) ) {
		is.out.println( "#USERID: " + is.regID );
		is.out.println( "#RESULT: FAILED" );
		is.out.println( "#ERROR: Has no registration info for this IP." );
		return;
	}

	if ( !is.hasRight( IMTypeur.ADMIN_RIGHT ) ) {
		IfaceToolbox.printError( is, "Has no access rights to query locations." );
		return;
	}
	
	is.sessionVariables.setProperty("httpIface", "true");

	String fields[] = { "LOUI", "LONA", "LOSA", "LOCI", "LOST", "LOZI", "LOTZ" };
	String sort[] = { "a_LOUI" };

	TableDescriptor tdesc = new TableDescriptor();
	TableProperties tprop = new TableProperties();

	TableParams tparams = new TableParams( is.imRequest );
	tparams.setDefaultFields( fields );
	tparams.setDefaultSort( sort );
	// tparams.setDefaultPage( 1 );
	// tparams.setDefaultPageSize( 20 );

	IMFieldManager fm = new IMFieldManager( IMEnvBase.getEnv( "FIELDSTBL" ), IMEnvBase.getEnv( "TYPESTBL" ), IMEnvBase.getEnv( "LOCATIONTBL" ) );
	
	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	tdesc.setFieldManager( fm );
	tdesc.setSortDepth( 3 );

	SQLResult result = new SQLResult( tdesc );

	tdesc.setResult( result );

	Table table = new Table( tdesc );

	is.response.setContentType( "text/plain" );

	if( !table.printTabSepTableContent( is.out ) ) {
		// if generating didn't succeed, because query was too slow, problem has already been written
		return;
	}

	is.out.println( "#USERID: " + is.regID );
	is.out.println( "#RESULT: OK" );
	
	if ( true ) 
		return;%>
