
<%@page import="imagemed.types.flag.IMTypeur"%><%--
 * Component: iface
 *
 * Description:
 *   Logs in a user to achieve "single signon"
 *
 * Parameters:
 *
 *  @param cUser           The ID of the user to log in.
 *  @param cClientIP       The IP of the client machine the user will be coming from
 *
 * Last Updated     : $Author$
 * Update date/time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 *
--%><%@
	page import="imagemed.imsession.*,imagemed.jsputil.*, java.sql.ResultSet"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession(request, response, out);

	// Check login
	if (!IfaceToolbox.isRegOK(is)) {
		IfaceToolbox.printError(is, "Has no registration info for this IP.");
		return;
	}

	boolean hasLoginRight = false;
	if ( is.regRights != null ) {
		hasLoginRight = (-1 != is.regRights.indexOf(IMTypeur.LOGIN_RIGHT));
	}

	// Check if the user has rights to create orders
	if (! hasLoginRight) {
		IfaceToolbox.printError(is, "Has no right to log in users.");
		return;
	}

	String parUser = request.getParameter("cUser");
	String parIP   = request.getParameter("cClientIP");

	if (parUser == null || parIP == null) {
		IfaceToolbox.printError(is, "Missing parameter(s).");
		return;
	}

	try {
		ResultSet rs = IMEnv.getDB().prepareStatement("select * from " + IMEnvBase.getEnv("ACCESSTBL") +
		" where USERID='" + parUser + "'").executeQuery();
		if (!rs.next()) {
	IfaceToolbox.printError(is, "No such user.");
	return;
		}
		// check server restriction
		String restr = rs.getString( "RESTRICTSERVER" );
		if( !is.isUserLegalOnThisServer( restr ) ) {
	IfaceToolbox.printError(is, "User is not allowed to log into this server.");
	return;
		}

		rs.close();

		String sessionID = IMSession.singleSignon(parUser, parIP);

		response.setContentType("text/plain");
		out.println("#USERID: " + is.regID);
		out.println("#RESULT: OK");
		out.println(sessionID);
	}
	catch (Throwable th) {
		IfaceToolbox.printError(is, "Login Error: " + th.toString());
		return;
	}

	if (true)
		return;
%>